%define major 8
%define libname %mklibname lmfit %{major}
%define devname %mklibname lmfit -d

%define commit 33b4e89ce165091ac03747d750246748

Name:           lmfit
Version:        8.2.2
Release:        %mkrel 4
Summary:        Levenberg-Marquardt least-squares minimization and curve fitting
Group:          Development/C
# software is BSD, documentation is CC-BY
License:        BSD and CC-BY
URL:            https://jugit.fz-juelich.de/mlz/lmfit
Source0:        https://jugit.fz-juelich.de/mlz/lmfit/uploads/%{commit}/lmfit-%{version}.tgz
Patch1:         lib64.patch
Patch2:         lmfit-8.2.2-correct-library-versioning.patch
BuildRequires:  cmake

%description
C/C++ library for Levenberg-Marquardt least-squares minimization and curve
fitting.

%package -n %{libname}
Summary:        Levenberg-Marquardt least-squares minimization and curve fitting
Group:          System/Libraries

%description -n %{libname}
C/C++ library for Levenberg-Marquardt least-squares minimization and curve
fitting.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 8.0

%description -n %{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING
%doc CHANGELOG
%{_libdir}/liblmfit.so.%{major}{,.*}

%files -n %{devname}
%{_docdir}/lmfit/
%{_includedir}/*.h
%{_libdir}/liblmfit.so
%{_libdir}/pkgconfig/lmfit.pc
%{_mandir}/man?/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 8.2.2-4.mga10
+ Revision: 2195989
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 8.2.2-3.mga9
+ Revision: 1795189
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 daviddavid <daviddavid> 8.2.2-2.mga8
+ Revision: 1527319
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jul 13 2019 daviddavid <daviddavid> 8.2.2-1.mga8
+ Revision: 1420916
- new version: 8.2.2
- new URL and Source URL

* Sun Mar 17 2019 daviddavid <daviddavid> 8.2-1.mga7
+ Revision: 1378227
- new version: 8.2

* Fri Oct 05 2018 wally <wally> 8.0-1.mga7
+ Revision: 1318008
- new version 8.0
- libify pkg

* Sun Sep 23 2018 umeabot <umeabot> 6.1-2.mga7
+ Revision: 1299332
- Mageia 7 Mass Rebuild

* Wed Feb 24 2016 spuhler <spuhler> 6.1-1.mga6
+ Revision: 977714
- added man7 files
- upgrade to vers. 6.1

* Wed Jan 06 2016 spuhler <spuhler> 6.0-2.mga6
+ Revision: 920044
- changed %%{configure} to %%configure2_5x to make it build

* Tue Dec 01 2015 spuhler <spuhler> 6.0-1.mga6
+ Revision: 907422
- update to vers. 6.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1-3.mga5
+ Revision: 750685
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1-2.mga5
+ Revision: 681972
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 spuhler <spuhler> 5.1-1.mga5
+ Revision: 633502
- first release after import from Fedora
- imported package lmfit


* Tue Nov 26 2013 Miro Hrončok <mhroncok@redhat.com> - 5.1-1
- New version 5.1
- Download location has changed

* Tue Aug 27 2013 Miro Hrončok <mhroncok@redhat.com> - 5.0-1
- New upstream version
- Website has moved
- Add all HTML docs to %%doc
- Moved manpages and their HTML variants and demo to devel

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 04 2013 Miro Hrončok <mhroncok@redhat.com> - 3.5-2
- Do not package demo binaries to %%doc
- Added --disable-static to configure

* Sun Feb 03 2013 Miro Hrončok <mhroncok@redhat.com> - 3.5-1
- Initial package
